<script setup>
import Slider from './components/Slider.vue';
import { ref } from 'vue'
let isOpen = ref(false)
const openMenu = () => {
  isOpen.value = !isOpen.value
}
</script>

<template>
  <div class="snap-y snap snap-mandatory h-screen w-screen overflow-x-hidden overflow-scroll " id="fullpage">
    <section id="top" class="snap-start h-screen w-screen z-20 overflow-x-hidden">
      <div  class="flex h-screen bg-white z-20 ">
          <div class="w-1/4 flex flex-col items-center justify-center gap-12 z-20 " id="bg_white">
            <div class="xl:h-32 xl:w-32 bg-BA_grey rounded-[33px] mobile:rounded-[20px] flex z-10 lg:h-24 lg:w-24 mobile:h-16 mobile:w-16 
              transition ease-in-out delay-[50ms] hover:-translate-y-1 hover:scale-110 duration-300"
            >
              <img class="xl:h-12 xl:w-12 m-auto lg:h-8 lg:w-8 mobile:h-6 mobile:w-6" src="./assets/home_btn.svg" alt="button home"/>
            </div>
            <div class="xl:h-64 xl:w-32 bg-BA_blue rounded-[33px] mobile:rounded-[20px] flex z-10 lg:h-56 lg:w-24 mobile:h-48 mobile:w-16 
              transition ease-in-out delay-[50ms] hover:-translate-y-1 hover:scale-110 duration-300"
            >
              <img class="xl:h-12 xl:w-12 m-auto lg:h-8 lg:w-8 mobile:h-6 mobile:w-6" src="./assets/home_btn.svg" alt="button home"/>
            </div>
            <div class="xl:h-32 xl:w-32 bg-BA_grey rounded-[33px] mobile:rounded-[20px] flex z-10 lg:h-24 lg:w-24 mobile:h-16 mobile:w-16 
              transition ease-in-out delay-[50ms] hover:-translate-y-1 hover:scale-110 duration-300"
            >
              <img class="xl:h-12 xl:w-12 m-auto lg:h-8 lg:w-8 mobile:h-6 mobile:w-6" src="./assets/home_btn.svg" alt="button home"/>
            </div>
          </div>
          <div class="w-3/4 bg-[url('https://i.ibb.co/gTVn1K5/background-top.jpg')] bg-cover bg-no-repeat flex flex-col justify-center xl:bg-left lg:bg-center mobile:bg-center">
            <div class="xl:ml-12" v-motion-fade :delay="100">
              <h1 class="text-center xl:text-8xl lg:text-7xl mobile:text-4xl text-BA_white font-boldstrom">BOYS <br>ADVENTURE</h1>
              <h2 class="text-center xl:text-2xl lg:text-xl mobile:text-lg text-BA_blue font-bold xl:tracking-[12px] font-bahnschrift">aptos ecosystem</h2>
            </div>
          </div>
      </div>
    </section>
    <section id="explore" class="snap-start xl:h-screen lg:h-screen xl:w-screen lg:w-screen mobile:h-full">
      <div class="flex lg:py-0 xl:py-0">
          <div class="xl:w-[68px] lg:w-[68px] mobile:w-[52px] z-0 fixed m-auto top-1/3 xl:left-[11%] lg:left-[10%] mobile:left-[7%] ">
            <div class="flex flex-col items-center justify-center gap-6 rounded-[66px] background_custom xl:py-12 lg:py-8 mobile:py-4">
              <span class="transition ease-in-out delay-[50ms] hover:scale-125 duration-300">
                <a href="#top" class="font-semibold font-bahnschrift scroll-smooth text-BA_text_grey hover:text-BA_blue active:text-BA_blue" v-smooth-scroll>01</a>
              </span>
              <span class="transition ease-in-out delay-[50ms] hover:scale-125 duration-300">
                <a href="#explore" class="font-semibold font-bahnschrift scroll-smooth text-BA_text_grey hover:text-BA_blue active:text-BA_blue" v-smooth-scroll>02</a>
              </span>
              <span class="xl:h-20 lg:h-16 mobile:h-14 w-0.5 bg-BA_blue rounded-full"></span>
              <span class="transition ease-in-out delay-[50ms] hover:scale-125 duration-300">
                <a href="#slider" class="font-semibold font-bahnschrift scroll-smooth text-BA_text_grey hover:text-BA_blue active:text-BA_blue" v-smooth-scroll>03</a>
              </span>
              <span class="transition ease-in-out delay-[50ms] hover:scale-125 duration-300">
                <a href="#aptos"  class="font-semibold font-bahnschrift scroll-smooth text-BA_text_grey hover:text-BA_blue active:text-BA_blue" v-smooth-scroll>04</a>
              </span>
            </div>
          </div>

          <div class="w-1/4 h-[20vh] linear_gradient z-10">
          </div>

          <div class="w-3/4 xl:flex xl:flex-row lg:flex lg:flex-row mobile:flex-col justify-between content-center mobile:pt-16 xl:pt-0 lg:pt-0">

            <div class="xl:w-[30%] lg:w-[30%] mobile:w-full flex flex-col justify-center" v-motion-slide-visible-once-left :delay="450">
              <h2 class="xl:text-left lg:text-left mobile:text-center mobile:mb-4 xl:text-5xl lg:text-4xl mobile:text-3xl xl:font-medium lg:font-normal xl:pb-11 lg:pb-7 font-boldstrom">EXPLORE <br><span class="text-BA_blue">THE WORLD</span></h2>
              <p class="xl:text-left lg:text-left xl:px-0 lg:px-0 mobile:px-8 mobile:text-justify mobile:mb-4 xl:text-xl text-BA_text_grey xl:font-medium xl:leading-7 font-bahnschrift">
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do 
                  eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut 
                  enim ad minim veniam, quis nostrud exercitation ullamco laboris 
                  nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in 
                  reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla 
                  pariatur. Excepteur sint occaecat cupidatat non proident, sunt in 
                  culpa qui officia deserunt mollit anim id est laborum.
              </p>
            </div>

            <div class="xl:w-max lg:w-max mobile:w-full flex flex-row justify-end mobile:pb-16 xl:pb-0 lg:pb-0" v-motion-slide-visible-once-right :delay="450">
              <img src="./assets/explore.png" alt="Explore the world with Boys Adventure" class="h-[90%] w-max my-auto">
            </div>

          </div>

      </div>
    </section>
    <section id="slider" class="snap-start h-screen xl:w-screen lg:w-screen mobile:w-3/4 xl:ml-0 lg:ml-0 mobile:ml-auto">
        <div class="xl:h-1/4 lg:h-1/4 mobile:h-[10%] flex flex-col justify-center xl:pt-0 lg:pt-0 mobile:pt-24" v-motion-slide-visible-once-bottom :delay="450">
          <h2 class="text-center xl:font-medium lg:font-normal xl:text-3xl lg:text-3xl mobile:text-2xl tracking-normal font-boldstrom"><span class="text-BA_blue">UNIQUE</span> NOT JUST <span class="text-BA_blue">FOR YOU</span> BUT FOR THE <span class="text-BA_blue">WORLD</span></h2>
        </div>
        <div class="h-2/4 w-screen xl:flex xl:flex-row lg:flex lg:flex-row mobile:flex mobile:flex-col mobile:justify-around">

          <div class="xl:w-1/4 lg:w-1/4 mobile:w-0"></div>

          <Slider v-motion-pop-visible-once :delay="450"/>

          <div class="xl:w-1/4 lg:w-1/4 mobile:w-max xl:flex xl:flex-col lg:flex lg:flex-col mobile:flex mobile:flex-row items-center justify-center xl:ml-0 lg:ml-0 mobile:ml-[20%] xl:gap-6 lg:gap-6 mobile:gap-2">
              <span class="w-full text-BA_blue text-center xl:font-medium lg:font-normal xl:text-6xl lg:text-5xl mobile:text-3xl font-boldstrom">
                <vue3-autocounter ref='counter' :startAmount='0' :endAmount='8' :duration='3' prefix='' suffix='' separator='' decimalSeparator='' :decimals='0' :autoinit='true'/>
              </span>
              <span class="w-full text-BA_blue text-center xl:font-medium lg:font-normal xl:text-6xl lg:text-5xl mobile:text-3xl font-boldstrom">
                <vue3-autocounter ref='counter' :startAmount='0' :endAmount='7' :duration='3' prefix='' suffix='' separator='' decimalSeparator='' :decimals='0' :autoinit='true' />
              </span>
              <span class="w-full text-BA_blue text-center xl:font-medium lg:font-normal xl:text-6xl lg:text-5xl mobile:text-3xl font-boldstrom">
                <vue3-autocounter ref='counter' :startAmount='0' :endAmount='5' :duration='3' prefix='' suffix='' separator='' decimalSeparator='' :decimals='0' :autoinit='true' />
              </span>
              <span class="w-full text-BA_blue text-center xl:font-medium lg:font-normal xl:text-6xl lg:text-5xl mobile:text-3xl font-boldstrom">
                <vue3-autocounter ref='counter' :startAmount='0' :endAmount='0' :duration='2' prefix='' suffix='' separator='' decimalSeparator='' :decimals='0' :autoinit='true' />
              </span>
              <span class="xl:h-20 lg:h-20 mobile:h-full w-full text-center text-BA_text_grey xl:font-medium lg:font-normal xl:text-5xl lg:text-4xl mobile:text-3xl font-boldstrom">NFT</span>
          </div>
        </div>
        <div class="xl:h-1/4 lg:h-1/4 mobile:h-[20%] xl:w-1/4 lg:w-2/4 xl:m-auto lg:m-auto mobile:mt-12">
          <p class="text-center text-lg text-BA_text_grey xl:font-medium lg:font-normal xl:leading-7 lg:leading-5 font-bahnschrift xl:px-0 lg:px-0 mobile:px-6" v-motion-slide-visible-once-top :delay="450">
            Lorem ipsum dolor sit amet, consectetur 
            adipiscing elit, sed do eiusmod tempor 
            incididunt ut labore et dolore magna aliqua.
          </p>
        </div>
    </section>
    <section id="aptos" class="snap-start h-[109vh] w-screen">
      <div class="h-full w-screen bg-[url('./Aptos_waves.png')] bg-center bg-cover bg-no-repeat flex flex-col justify-center">
        <div class="h-32 mx-auto">
          <button class="w-full h-full mt-4 opacity-100"  @click="openMenu">
            <img src="./assets/Aptos_Logo.svg" alt="Aptos logo" class="h-full hover:hidden" v-motion-pop-visible-once :delay="450" />
            <img src="./assets/Boys_Adventure_logo.svg" alt="BoysAdventure logo" class="h-full rounded-full"          :class="isOpen ? 'display' : 'hide'"/>
          </button>
        </div>
      </div>
    </section>
  </div>
</template>

<!--https://i.ibb.co/cg1Lv7Q/test-waves.png-->
<style scoped>
.hide{
  height: 0rem;
}
.display{
  height: 8rem;
}
#app {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  scroll-behavior: smooth;

}
.background_custom{
  background: #F8FAFC 0% 0% no-repeat padding-box;
  opacity: 0.8;
  backdrop-filter: blur(30px);
  -webkit-backdrop-filter: blur(30px);
}
a.active{
  color:#36C2F7;
}
#bg_white{
  background-color: #ffffff;
}
.linear_gradient{
  background-image: linear-gradient(to bottom, rgba(255,255,255,1) 0%, rgba(255,255,255,0) 100%);
}
</style>
